// File created from ../../../src/bin/auth/auth_messages.mes on Mon Nov 18 2013 12:20

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace auth {

extern const isc::log::MessageID AUTH_AXFR_PROBLEM = "AUTH_AXFR_PROBLEM";
extern const isc::log::MessageID AUTH_AXFR_UDP = "AUTH_AXFR_UDP";
extern const isc::log::MessageID AUTH_COMMAND_FAILED = "AUTH_COMMAND_FAILED";
extern const isc::log::MessageID AUTH_CONFIG_CHANNEL_CREATED = "AUTH_CONFIG_CHANNEL_CREATED";
extern const isc::log::MessageID AUTH_CONFIG_CHANNEL_ESTABLISHED = "AUTH_CONFIG_CHANNEL_ESTABLISHED";
extern const isc::log::MessageID AUTH_CONFIG_CHANNEL_STARTED = "AUTH_CONFIG_CHANNEL_STARTED";
extern const isc::log::MessageID AUTH_CONFIG_LOAD_FAIL = "AUTH_CONFIG_LOAD_FAIL";
extern const isc::log::MessageID AUTH_CONFIG_UPDATE_FAIL = "AUTH_CONFIG_UPDATE_FAIL";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_COMMAND = "AUTH_DATASRC_CLIENTS_BUILDER_COMMAND";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_COMMAND_ERROR = "AUTH_DATASRC_CLIENTS_BUILDER_COMMAND_ERROR";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_FAILED = "AUTH_DATASRC_CLIENTS_BUILDER_FAILED";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_FAILED_UNEXPECTED = "AUTH_DATASRC_CLIENTS_BUILDER_FAILED_UNEXPECTED";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE = "AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE_NOCACHE = "AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE_NOCACHE";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_CONFIG_ERROR = "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_CONFIG_ERROR";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_DATASRC_ERROR = "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_DATASRC_ERROR";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_ERROR = "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_ERROR";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_STARTED = "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_STARTED";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_SUCCESS = "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_SUCCESS";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_STARTED = "AUTH_DATASRC_CLIENTS_BUILDER_STARTED";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_BUILDER_STOPPED = "AUTH_DATASRC_CLIENTS_BUILDER_STOPPED";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_SHUTDOWN_ERROR = "AUTH_DATASRC_CLIENTS_SHUTDOWN_ERROR";
extern const isc::log::MessageID AUTH_DATASRC_CLIENTS_SHUTDOWN_UNEXPECTED_ERROR = "AUTH_DATASRC_CLIENTS_SHUTDOWN_UNEXPECTED_ERROR";
extern const isc::log::MessageID AUTH_DATA_SOURCE = "AUTH_DATA_SOURCE";
extern const isc::log::MessageID AUTH_DNS_SERVICES_CREATED = "AUTH_DNS_SERVICES_CREATED";
extern const isc::log::MessageID AUTH_HEADER_PARSE_FAIL = "AUTH_HEADER_PARSE_FAIL";
extern const isc::log::MessageID AUTH_INVALID_STATISTICS_DATA = "AUTH_INVALID_STATISTICS_DATA";
extern const isc::log::MessageID AUTH_LOAD_TSIG = "AUTH_LOAD_TSIG";
extern const isc::log::MessageID AUTH_MEM_DATASRC_DISABLED = "AUTH_MEM_DATASRC_DISABLED";
extern const isc::log::MessageID AUTH_MEM_DATASRC_ENABLED = "AUTH_MEM_DATASRC_ENABLED";
extern const isc::log::MessageID AUTH_MESSAGE_FORWARD_ERROR = "AUTH_MESSAGE_FORWARD_ERROR";
extern const isc::log::MessageID AUTH_NOTIFY_QUESTIONS = "AUTH_NOTIFY_QUESTIONS";
extern const isc::log::MessageID AUTH_NOTIFY_RRTYPE = "AUTH_NOTIFY_RRTYPE";
extern const isc::log::MessageID AUTH_NO_XFRIN = "AUTH_NO_XFRIN";
extern const isc::log::MessageID AUTH_PACKET_PARSE_FAILED = "AUTH_PACKET_PARSE_FAILED";
extern const isc::log::MessageID AUTH_PACKET_PROTOCOL_FAILURE = "AUTH_PACKET_PROTOCOL_FAILURE";
extern const isc::log::MessageID AUTH_PACKET_RECEIVED = "AUTH_PACKET_RECEIVED";
extern const isc::log::MessageID AUTH_PROCESS_FAIL = "AUTH_PROCESS_FAIL";
extern const isc::log::MessageID AUTH_RECEIVED_COMMAND = "AUTH_RECEIVED_COMMAND";
extern const isc::log::MessageID AUTH_RECEIVED_NOTIFY = "AUTH_RECEIVED_NOTIFY";
extern const isc::log::MessageID AUTH_RECEIVED_NOTIFY_NOTAUTH = "AUTH_RECEIVED_NOTIFY_NOTAUTH";
extern const isc::log::MessageID AUTH_RESPONSE_FAILURE = "AUTH_RESPONSE_FAILURE";
extern const isc::log::MessageID AUTH_RESPONSE_FAILURE_UNKNOWN = "AUTH_RESPONSE_FAILURE_UNKNOWN";
extern const isc::log::MessageID AUTH_RESPONSE_RECEIVED = "AUTH_RESPONSE_RECEIVED";
extern const isc::log::MessageID AUTH_SEND_ERROR_RESPONSE = "AUTH_SEND_ERROR_RESPONSE";
extern const isc::log::MessageID AUTH_SEND_NORMAL_RESPONSE = "AUTH_SEND_NORMAL_RESPONSE";
extern const isc::log::MessageID AUTH_SERVER_CREATED = "AUTH_SERVER_CREATED";
extern const isc::log::MessageID AUTH_SERVER_EXITING = "AUTH_SERVER_EXITING";
extern const isc::log::MessageID AUTH_SERVER_FAILED = "AUTH_SERVER_FAILED";
extern const isc::log::MessageID AUTH_SERVER_STARTED = "AUTH_SERVER_STARTED";
extern const isc::log::MessageID AUTH_SHUTDOWN = "AUTH_SHUTDOWN";
extern const isc::log::MessageID AUTH_SQLITE3 = "AUTH_SQLITE3";
extern const isc::log::MessageID AUTH_START_DDNS_FORWARDER = "AUTH_START_DDNS_FORWARDER";
extern const isc::log::MessageID AUTH_STOP_DDNS_FORWARDER = "AUTH_STOP_DDNS_FORWARDER";
extern const isc::log::MessageID AUTH_UNSUPPORTED_OPCODE = "AUTH_UNSUPPORTED_OPCODE";
extern const isc::log::MessageID AUTH_XFRIN_CHANNEL_CREATED = "AUTH_XFRIN_CHANNEL_CREATED";
extern const isc::log::MessageID AUTH_XFRIN_CHANNEL_ESTABLISHED = "AUTH_XFRIN_CHANNEL_ESTABLISHED";
extern const isc::log::MessageID AUTH_ZONEMGR_COMMS = "AUTH_ZONEMGR_COMMS";
extern const isc::log::MessageID AUTH_ZONEMGR_ERROR = "AUTH_ZONEMGR_ERROR";
extern const isc::log::MessageID AUTH_ZONEMGR_NOTEXIST = "AUTH_ZONEMGR_NOTEXIST";

} // namespace auth
} // namespace isc

namespace {

const char* values[] = {
    "AUTH_AXFR_PROBLEM", "error handling AXFR request: %1",
    "AUTH_AXFR_UDP", "AXFR query received over UDP",
    "AUTH_COMMAND_FAILED", "execution of command channel instruction '%1' failed: %2",
    "AUTH_CONFIG_CHANNEL_CREATED", "configuration session channel created",
    "AUTH_CONFIG_CHANNEL_ESTABLISHED", "configuration session channel established",
    "AUTH_CONFIG_CHANNEL_STARTED", "configuration session channel started",
    "AUTH_CONFIG_LOAD_FAIL", "load of configuration failed: %1",
    "AUTH_CONFIG_UPDATE_FAIL", "update of configuration failed: %1",
    "AUTH_DATASRC_CLIENTS_BUILDER_COMMAND", "data source builder received command: %1",
    "AUTH_DATASRC_CLIENTS_BUILDER_COMMAND_ERROR", "command execution failure: %1",
    "AUTH_DATASRC_CLIENTS_BUILDER_FAILED", "data source builder thread stopped due to an exception: %1",
    "AUTH_DATASRC_CLIENTS_BUILDER_FAILED_UNEXPECTED", "data source builder thread stopped due to an unexpected exception",
    "AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE", "loaded zone %1/%2",
    "AUTH_DATASRC_CLIENTS_BUILDER_LOAD_ZONE_NOCACHE", "skipped loading zone %1/%2 due to no in-memory cache",
    "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_CONFIG_ERROR", "Error in data source configuration: %1",
    "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_DATASRC_ERROR", "Error setting up data source: %1",
    "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_ERROR", "Internal error setting up data source: %1",
    "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_STARTED", "data source reconfiguration started",
    "AUTH_DATASRC_CLIENTS_BUILDER_RECONFIGURE_SUCCESS", "data source reconfiguration completed successfully",
    "AUTH_DATASRC_CLIENTS_BUILDER_STARTED", "data source builder thread started",
    "AUTH_DATASRC_CLIENTS_BUILDER_STOPPED", "data source builder thread stopped",
    "AUTH_DATASRC_CLIENTS_SHUTDOWN_ERROR", "error on waiting for data source builder thread: %1",
    "AUTH_DATASRC_CLIENTS_SHUTDOWN_UNEXPECTED_ERROR", "Unexpected error on waiting for data source builder thread",
    "AUTH_DATA_SOURCE", "data source database file: %1",
    "AUTH_DNS_SERVICES_CREATED", "DNS services created",
    "AUTH_HEADER_PARSE_FAIL", "unable to parse header in received DNS packet: %1",
    "AUTH_INVALID_STATISTICS_DATA", "invalid specification of statistics data specified",
    "AUTH_LOAD_TSIG", "loading TSIG keys",
    "AUTH_MEM_DATASRC_DISABLED", "memory data source is disabled for class %1",
    "AUTH_MEM_DATASRC_ENABLED", "memory data source is enabled for class %1",
    "AUTH_MESSAGE_FORWARD_ERROR", "failed to forward %1 request from %2: %3",
    "AUTH_NOTIFY_QUESTIONS", "invalid number of questions (%1) in incoming NOTIFY",
    "AUTH_NOTIFY_RRTYPE", "invalid question RR type (%1) in incoming NOTIFY",
    "AUTH_NO_XFRIN", "received NOTIFY but XFRIN session is not running",
    "AUTH_PACKET_PARSE_FAILED", "unable to parse received DNS packet: %1",
    "AUTH_PACKET_PROTOCOL_FAILURE", "DNS packet protocol error: %1. Returning %2",
    "AUTH_PACKET_RECEIVED", "message received:\n%1",
    "AUTH_PROCESS_FAIL", "message processing failure: %1",
    "AUTH_RECEIVED_COMMAND", "command '%1' received",
    "AUTH_RECEIVED_NOTIFY", "received incoming NOTIFY for zone %1/%2 from %3",
    "AUTH_RECEIVED_NOTIFY_NOTAUTH", "received bad NOTIFY for zone %1/%2 from %3",
    "AUTH_RESPONSE_FAILURE", "exception while building response to query: %1",
    "AUTH_RESPONSE_FAILURE_UNKNOWN", "unknown exception while building response to query",
    "AUTH_RESPONSE_RECEIVED", "received response message, ignoring",
    "AUTH_SEND_ERROR_RESPONSE", "sending an error response (%1 bytes):\n%2",
    "AUTH_SEND_NORMAL_RESPONSE", "sending a normal response (%1 bytes):\n%2",
    "AUTH_SERVER_CREATED", "server created",
    "AUTH_SERVER_EXITING", "exiting",
    "AUTH_SERVER_FAILED", "server failed: %1",
    "AUTH_SERVER_STARTED", "server started",
    "AUTH_SHUTDOWN", "asked to stop, doing so",
    "AUTH_SQLITE3", "nothing to do for loading sqlite3",
    "AUTH_START_DDNS_FORWARDER", "DDNS UPDATE handling started",
    "AUTH_STOP_DDNS_FORWARDER", "DDNS UPDATE handling stopped",
    "AUTH_UNSUPPORTED_OPCODE", "unsupported opcode: %1",
    "AUTH_XFRIN_CHANNEL_CREATED", "XFRIN session channel created",
    "AUTH_XFRIN_CHANNEL_ESTABLISHED", "XFRIN session channel established",
    "AUTH_ZONEMGR_COMMS", "error communicating with zone manager: %1",
    "AUTH_ZONEMGR_ERROR", "received error response from zone manager: %1",
    "AUTH_ZONEMGR_NOTEXIST", "received NOTIFY but Zonemgr does not exist",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

