// File created from ../../../src/lib/cc/cc_messages.mes on Mon Nov 18 2013 12:17

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace cc {

extern const isc::log::MessageID CC_ASYNC_READ_FAILED = "CC_ASYNC_READ_FAILED";
extern const isc::log::MessageID CC_CONN_ERROR = "CC_CONN_ERROR";
extern const isc::log::MessageID CC_DISCONNECT = "CC_DISCONNECT";
extern const isc::log::MessageID CC_ESTABLISH = "CC_ESTABLISH";
extern const isc::log::MessageID CC_ESTABLISHED = "CC_ESTABLISHED";
extern const isc::log::MessageID CC_GROUP_RECEIVE = "CC_GROUP_RECEIVE";
extern const isc::log::MessageID CC_GROUP_RECEIVED = "CC_GROUP_RECEIVED";
extern const isc::log::MessageID CC_GROUP_SEND = "CC_GROUP_SEND";
extern const isc::log::MessageID CC_INVALID_LENGTHS = "CC_INVALID_LENGTHS";
extern const isc::log::MessageID CC_LENGTH_NOT_READY = "CC_LENGTH_NOT_READY";
extern const isc::log::MessageID CC_LNAME_RECEIVED = "CC_LNAME_RECEIVED";
extern const isc::log::MessageID CC_NO_MESSAGE = "CC_NO_MESSAGE";
extern const isc::log::MessageID CC_NO_MSGQ = "CC_NO_MSGQ";
extern const isc::log::MessageID CC_READ_ERROR = "CC_READ_ERROR";
extern const isc::log::MessageID CC_READ_EXCEPTION = "CC_READ_EXCEPTION";
extern const isc::log::MessageID CC_REPLY = "CC_REPLY";
extern const isc::log::MessageID CC_SET_TIMEOUT = "CC_SET_TIMEOUT";
extern const isc::log::MessageID CC_START_READ = "CC_START_READ";
extern const isc::log::MessageID CC_SUBSCRIBE = "CC_SUBSCRIBE";
extern const isc::log::MessageID CC_TIMEOUT = "CC_TIMEOUT";
extern const isc::log::MessageID CC_UNSUBSCRIBE = "CC_UNSUBSCRIBE";
extern const isc::log::MessageID CC_WRITE_ERROR = "CC_WRITE_ERROR";
extern const isc::log::MessageID CC_ZERO_LENGTH = "CC_ZERO_LENGTH";

} // namespace cc
} // namespace isc

namespace {

const char* values[] = {
    "CC_ASYNC_READ_FAILED", "asynchronous read failed (error code = %1)",
    "CC_CONN_ERROR", "error connecting to message queue (%1)",
    "CC_DISCONNECT", "disconnecting from message queue daemon",
    "CC_ESTABLISH", "trying to establish connection with message queue daemon at %1",
    "CC_ESTABLISHED", "successfully connected to message queue daemon",
    "CC_GROUP_RECEIVE", "trying to receive a message with seq %1",
    "CC_GROUP_RECEIVED", "message arrived ('%1', '%2')",
    "CC_GROUP_SEND", "sending message '%1' to group '%2'",
    "CC_INVALID_LENGTHS", "invalid length parameters (%1, %2)",
    "CC_LENGTH_NOT_READY", "length not ready",
    "CC_LNAME_RECEIVED", "received local name: %1",
    "CC_NO_MESSAGE", "no message ready to be received yet",
    "CC_NO_MSGQ", "unable to connect to message queue (%1)",
    "CC_READ_ERROR", "error reading data from command channel (%1)",
    "CC_READ_EXCEPTION", "error reading data from command channel (%1)",
    "CC_REPLY", "replying to message from '%1' with '%2'",
    "CC_SET_TIMEOUT", "setting timeout to %1ms",
    "CC_START_READ", "starting asynchronous read",
    "CC_SUBSCRIBE", "subscribing to communication group %1",
    "CC_TIMEOUT", "timeout reading data from command channel",
    "CC_UNSUBSCRIBE", "unsubscribing from communication group %1",
    "CC_WRITE_ERROR", "error writing data to command channel (%1)",
    "CC_ZERO_LENGTH", "invalid message length (0)",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

