// File created from ../../../src/lib/datasrc/datasrc_messages.mes on Mon Nov 18 2013 12:18

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace datasrc {

extern const isc::log::MessageID DATASRC_BAD_NSEC3_NAME = "DATASRC_BAD_NSEC3_NAME";
extern const isc::log::MessageID DATASRC_CACHE_CREATE = "DATASRC_CACHE_CREATE";
extern const isc::log::MessageID DATASRC_CACHE_DESTROY = "DATASRC_CACHE_DESTROY";
extern const isc::log::MessageID DATASRC_CACHE_DISABLE = "DATASRC_CACHE_DISABLE";
extern const isc::log::MessageID DATASRC_CACHE_ENABLE = "DATASRC_CACHE_ENABLE";
extern const isc::log::MessageID DATASRC_CACHE_EXPIRED = "DATASRC_CACHE_EXPIRED";
extern const isc::log::MessageID DATASRC_CACHE_FOUND = "DATASRC_CACHE_FOUND";
extern const isc::log::MessageID DATASRC_CACHE_FULL = "DATASRC_CACHE_FULL";
extern const isc::log::MessageID DATASRC_CACHE_INSERT = "DATASRC_CACHE_INSERT";
extern const isc::log::MessageID DATASRC_CACHE_NOT_FOUND = "DATASRC_CACHE_NOT_FOUND";
extern const isc::log::MessageID DATASRC_CACHE_OLD_FOUND = "DATASRC_CACHE_OLD_FOUND";
extern const isc::log::MessageID DATASRC_CACHE_REMOVE = "DATASRC_CACHE_REMOVE";
extern const isc::log::MessageID DATASRC_CACHE_SLOTS = "DATASRC_CACHE_SLOTS";
extern const isc::log::MessageID DATASRC_CHECK_ERROR = "DATASRC_CHECK_ERROR";
extern const isc::log::MessageID DATASRC_CHECK_WARNING = "DATASRC_CHECK_WARNING";
extern const isc::log::MessageID DATASRC_DATABASE_ADDDIFF = "DATASRC_DATABASE_ADDDIFF";
extern const isc::log::MessageID DATASRC_DATABASE_ADDNSEC3 = "DATASRC_DATABASE_ADDNSEC3";
extern const isc::log::MessageID DATASRC_DATABASE_ADDRR = "DATASRC_DATABASE_ADDRR";
extern const isc::log::MessageID DATASRC_DATABASE_COVER_NSEC_UNSUPPORTED = "DATASRC_DATABASE_COVER_NSEC_UNSUPPORTED";
extern const isc::log::MessageID DATASRC_DATABASE_DELETEDIFF = "DATASRC_DATABASE_DELETEDIFF";
extern const isc::log::MessageID DATASRC_DATABASE_DELETENSEC3 = "DATASRC_DATABASE_DELETENSEC3";
extern const isc::log::MessageID DATASRC_DATABASE_DELETERR = "DATASRC_DATABASE_DELETERR";
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3 = "DATASRC_DATABASE_FINDNSEC3";
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_COVER = "DATASRC_DATABASE_FINDNSEC3_COVER";
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_MATCH = "DATASRC_DATABASE_FINDNSEC3_MATCH";
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_TRYHASH = "DATASRC_DATABASE_FINDNSEC3_TRYHASH";
extern const isc::log::MessageID DATASRC_DATABASE_FINDNSEC3_TRYHASH_PREV = "DATASRC_DATABASE_FINDNSEC3_TRYHASH_PREV";
extern const isc::log::MessageID DATASRC_DATABASE_FIND_RECORDS = "DATASRC_DATABASE_FIND_RECORDS";
extern const isc::log::MessageID DATASRC_DATABASE_FIND_TTL_MISMATCH = "DATASRC_DATABASE_FIND_TTL_MISMATCH";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_ANY = "DATASRC_DATABASE_FOUND_ANY";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_CNAME = "DATASRC_DATABASE_FOUND_CNAME";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_DELEGATION = "DATASRC_DATABASE_FOUND_DELEGATION";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_DELEGATION_EXACT = "DATASRC_DATABASE_FOUND_DELEGATION_EXACT";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_DNAME = "DATASRC_DATABASE_FOUND_DNAME";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_EMPTY_NONTERMINAL = "DATASRC_DATABASE_FOUND_EMPTY_NONTERMINAL";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_NXDOMAIN = "DATASRC_DATABASE_FOUND_NXDOMAIN";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_NXRRSET = "DATASRC_DATABASE_FOUND_NXRRSET";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_NXRRSET_NSEC = "DATASRC_DATABASE_FOUND_NXRRSET_NSEC";
extern const isc::log::MessageID DATASRC_DATABASE_FOUND_RRSET = "DATASRC_DATABASE_FOUND_RRSET";
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE = "DATASRC_DATABASE_ITERATE";
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE_END = "DATASRC_DATABASE_ITERATE_END";
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE_NEXT = "DATASRC_DATABASE_ITERATE_NEXT";
extern const isc::log::MessageID DATASRC_DATABASE_ITERATE_TTL_MISMATCH = "DATASRC_DATABASE_ITERATE_TTL_MISMATCH";
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_BADDATA = "DATASRC_DATABASE_JOURNALREADER_BADDATA";
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_END = "DATASRC_DATABASE_JOURNALREADER_END";
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_NEXT = "DATASRC_DATABASE_JOURNALREADER_NEXT";
extern const isc::log::MessageID DATASRC_DATABASE_JOURNALREADER_START = "DATASRC_DATABASE_JOURNALREADER_START";
extern const isc::log::MessageID DATASRC_DATABASE_NO_MATCH = "DATASRC_DATABASE_NO_MATCH";
extern const isc::log::MessageID DATASRC_DATABASE_TRANSACTION_ROLLBACKFAIL = "DATASRC_DATABASE_TRANSACTION_ROLLBACKFAIL";
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_COMMIT = "DATASRC_DATABASE_UPDATER_COMMIT";
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_CREATED = "DATASRC_DATABASE_UPDATER_CREATED";
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_DESTROYED = "DATASRC_DATABASE_UPDATER_DESTROYED";
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_ROLLBACK = "DATASRC_DATABASE_UPDATER_ROLLBACK";
extern const isc::log::MessageID DATASRC_DATABASE_UPDATER_ROLLBACKFAIL = "DATASRC_DATABASE_UPDATER_ROLLBACKFAIL";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_ANY = "DATASRC_DATABASE_WILDCARD_ANY";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_CANCEL_NS = "DATASRC_DATABASE_WILDCARD_CANCEL_NS";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_CANCEL_SUB = "DATASRC_DATABASE_WILDCARD_CANCEL_SUB";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_CNAME = "DATASRC_DATABASE_WILDCARD_CNAME";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_EMPTY = "DATASRC_DATABASE_WILDCARD_EMPTY";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_MATCH = "DATASRC_DATABASE_WILDCARD_MATCH";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_NS = "DATASRC_DATABASE_WILDCARD_NS";
extern const isc::log::MessageID DATASRC_DATABASE_WILDCARD_NXRRSET = "DATASRC_DATABASE_WILDCARD_NXRRSET";
extern const isc::log::MessageID DATASRC_DO_QUERY = "DATASRC_DO_QUERY";
extern const isc::log::MessageID DATASRC_LIST_NOT_CACHED = "DATASRC_LIST_NOT_CACHED";
extern const isc::log::MessageID DATASRC_LOAD_ZONE_ERROR = "DATASRC_LOAD_ZONE_ERROR";
extern const isc::log::MessageID DATASRC_MASTER_LOAD_ERROR = "DATASRC_MASTER_LOAD_ERROR";
extern const isc::log::MessageID DATASRC_MASTER_LOAD_WARN = "DATASRC_MASTER_LOAD_WARN";
extern const isc::log::MessageID DATASRC_META_ADD = "DATASRC_META_ADD";
extern const isc::log::MessageID DATASRC_META_ADD_CLASS_MISMATCH = "DATASRC_META_ADD_CLASS_MISMATCH";
extern const isc::log::MessageID DATASRC_META_REMOVE = "DATASRC_META_REMOVE";
extern const isc::log::MessageID DATASRC_QUERY_ADD_NSEC = "DATASRC_QUERY_ADD_NSEC";
extern const isc::log::MessageID DATASRC_QUERY_ADD_NSEC3 = "DATASRC_QUERY_ADD_NSEC3";
extern const isc::log::MessageID DATASRC_QUERY_ADD_RRSET = "DATASRC_QUERY_ADD_RRSET";
extern const isc::log::MessageID DATASRC_QUERY_ADD_SOA = "DATASRC_QUERY_ADD_SOA";
extern const isc::log::MessageID DATASRC_QUERY_AUTH_FAIL = "DATASRC_QUERY_AUTH_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_BAD_REFERRAL = "DATASRC_QUERY_BAD_REFERRAL";
extern const isc::log::MessageID DATASRC_QUERY_CACHED = "DATASRC_QUERY_CACHED";
extern const isc::log::MessageID DATASRC_QUERY_CHECK_CACHE = "DATASRC_QUERY_CHECK_CACHE";
extern const isc::log::MessageID DATASRC_QUERY_COPY_AUTH = "DATASRC_QUERY_COPY_AUTH";
extern const isc::log::MessageID DATASRC_QUERY_DELEGATION = "DATASRC_QUERY_DELEGATION";
extern const isc::log::MessageID DATASRC_QUERY_EMPTY_CNAME = "DATASRC_QUERY_EMPTY_CNAME";
extern const isc::log::MessageID DATASRC_QUERY_EMPTY_DNAME = "DATASRC_QUERY_EMPTY_DNAME";
extern const isc::log::MessageID DATASRC_QUERY_FAIL = "DATASRC_QUERY_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_FOLLOW_CNAME = "DATASRC_QUERY_FOLLOW_CNAME";
extern const isc::log::MessageID DATASRC_QUERY_GET_MX_ADDITIONAL = "DATASRC_QUERY_GET_MX_ADDITIONAL";
extern const isc::log::MessageID DATASRC_QUERY_GET_NS_ADDITIONAL = "DATASRC_QUERY_GET_NS_ADDITIONAL";
extern const isc::log::MessageID DATASRC_QUERY_GLUE_FAIL = "DATASRC_QUERY_GLUE_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_INVALID_OP = "DATASRC_QUERY_INVALID_OP";
extern const isc::log::MessageID DATASRC_QUERY_IS_AUTH = "DATASRC_QUERY_IS_AUTH";
extern const isc::log::MessageID DATASRC_QUERY_IS_GLUE = "DATASRC_QUERY_IS_GLUE";
extern const isc::log::MessageID DATASRC_QUERY_IS_NOGLUE = "DATASRC_QUERY_IS_NOGLUE";
extern const isc::log::MessageID DATASRC_QUERY_IS_REF = "DATASRC_QUERY_IS_REF";
extern const isc::log::MessageID DATASRC_QUERY_IS_SIMPLE = "DATASRC_QUERY_IS_SIMPLE";
extern const isc::log::MessageID DATASRC_QUERY_MISPLACED_TASK = "DATASRC_QUERY_MISPLACED_TASK";
extern const isc::log::MessageID DATASRC_QUERY_MISSING_NS = "DATASRC_QUERY_MISSING_NS";
extern const isc::log::MessageID DATASRC_QUERY_MISSING_SOA = "DATASRC_QUERY_MISSING_SOA";
extern const isc::log::MessageID DATASRC_QUERY_NOGLUE_FAIL = "DATASRC_QUERY_NOGLUE_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_NO_CACHE_ANY_AUTH = "DATASRC_QUERY_NO_CACHE_ANY_AUTH";
extern const isc::log::MessageID DATASRC_QUERY_NO_CACHE_ANY_SIMPLE = "DATASRC_QUERY_NO_CACHE_ANY_SIMPLE";
extern const isc::log::MessageID DATASRC_QUERY_NO_DS_NSEC = "DATASRC_QUERY_NO_DS_NSEC";
extern const isc::log::MessageID DATASRC_QUERY_NO_DS_NSEC3 = "DATASRC_QUERY_NO_DS_NSEC3";
extern const isc::log::MessageID DATASRC_QUERY_NO_ZONE = "DATASRC_QUERY_NO_ZONE";
extern const isc::log::MessageID DATASRC_QUERY_PROCESS = "DATASRC_QUERY_PROCESS";
extern const isc::log::MessageID DATASRC_QUERY_PROVE_NX_FAIL = "DATASRC_QUERY_PROVE_NX_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_REF_FAIL = "DATASRC_QUERY_REF_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_RRSIG = "DATASRC_QUERY_RRSIG";
extern const isc::log::MessageID DATASRC_QUERY_SIMPLE_FAIL = "DATASRC_QUERY_SIMPLE_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_SYNTH_CNAME = "DATASRC_QUERY_SYNTH_CNAME";
extern const isc::log::MessageID DATASRC_QUERY_TASK_FAIL = "DATASRC_QUERY_TASK_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_TOO_MANY_CNAMES = "DATASRC_QUERY_TOO_MANY_CNAMES";
extern const isc::log::MessageID DATASRC_QUERY_UNKNOWN_RESULT = "DATASRC_QUERY_UNKNOWN_RESULT";
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD = "DATASRC_QUERY_WILDCARD";
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD_FAIL = "DATASRC_QUERY_WILDCARD_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD_PROVE_NX_FAIL = "DATASRC_QUERY_WILDCARD_PROVE_NX_FAIL";
extern const isc::log::MessageID DATASRC_QUERY_WILDCARD_REFERRAL = "DATASRC_QUERY_WILDCARD_REFERRAL";
extern const isc::log::MessageID DATASRC_STATIC_CLASS_NOT_CH = "DATASRC_STATIC_CLASS_NOT_CH";
extern const isc::log::MessageID DATASRC_STATIC_CREATE = "DATASRC_STATIC_CREATE";
extern const isc::log::MessageID DATASRC_STATIC_FIND = "DATASRC_STATIC_FIND";
extern const isc::log::MessageID DATASRC_UNEXPECTED_QUERY_STATE = "DATASRC_UNEXPECTED_QUERY_STATE";

} // namespace datasrc
} // namespace isc

namespace {

const char* values[] = {
    "DATASRC_BAD_NSEC3_NAME", "NSEC3 record has a bad owner name '%1'",
    "DATASRC_CACHE_CREATE", "creating the hotspot cache",
    "DATASRC_CACHE_DESTROY", "destroying the hotspot cache",
    "DATASRC_CACHE_DISABLE", "disabling the hotspot cache",
    "DATASRC_CACHE_ENABLE", "enabling the hotspot cache",
    "DATASRC_CACHE_EXPIRED", "item '%1' in the hotspot cache has expired",
    "DATASRC_CACHE_FOUND", "the item '%1' was found",
    "DATASRC_CACHE_FULL", "hotspot cache is full, dropping oldest",
    "DATASRC_CACHE_INSERT", "inserting item '%1' into the hotspot cache",
    "DATASRC_CACHE_NOT_FOUND", "the item '%1' was not found in the hotspot cache",
    "DATASRC_CACHE_OLD_FOUND", "older instance of hotspot cache item '%1' found, replacing",
    "DATASRC_CACHE_REMOVE", "removing '%1' from the hotspot cache",
    "DATASRC_CACHE_SLOTS", "setting the hotspot cache size to '%1', dropping '%2' items",
    "DATASRC_CHECK_ERROR", "post-load check of zone %1/%2 failed: %3",
    "DATASRC_CHECK_WARNING", "%1/%2: %3",
    "DATASRC_DATABASE_ADDDIFF", "updated diff table for add: %1 %2 %3",
    "DATASRC_DATABASE_ADDNSEC3", "added NSEC3 RR: %1 %2",
    "DATASRC_DATABASE_ADDRR", "added RR: %1 %2 %3",
    "DATASRC_DATABASE_COVER_NSEC_UNSUPPORTED", "%1 doesn't support DNSSEC when asked for NSEC data covering %2",
    "DATASRC_DATABASE_DELETEDIFF", "updated diff table for delete: %1 %2 %3",
    "DATASRC_DATABASE_DELETENSEC3", "deleted NSEC3 RR: %1 %2",
    "DATASRC_DATABASE_DELETERR", "deleted RR: %1 %2 %3",
    "DATASRC_DATABASE_FINDNSEC3", "Looking for NSEC3 for %1 in %2 mode",
    "DATASRC_DATABASE_FINDNSEC3_COVER", "found a covering NSEC3 for %1 at label count %2: %3",
    "DATASRC_DATABASE_FINDNSEC3_MATCH", "found a matching NSEC3 for %1 at label count %2: %3",
    "DATASRC_DATABASE_FINDNSEC3_TRYHASH", "looking for NSEC3 for %1 at label count %2 (hash %3)",
    "DATASRC_DATABASE_FINDNSEC3_TRYHASH_PREV", "looking for previous NSEC3 for %1 at label count %2 (hash %3)",
    "DATASRC_DATABASE_FIND_RECORDS", "looking in datasource %1 for record %2/%3/%4",
    "DATASRC_DATABASE_FIND_TTL_MISMATCH", "TTL values differ in %1 for elements of %2/%3/%4, setting to %5",
    "DATASRC_DATABASE_FOUND_ANY", "search in datasource %1 resulted in returning all records of %2",
    "DATASRC_DATABASE_FOUND_CNAME", "search in datasource %1 for %2/%3/%4 found CNAME, resulting in %5",
    "DATASRC_DATABASE_FOUND_DELEGATION", "Found delegation at %2 in %1",
    "DATASRC_DATABASE_FOUND_DELEGATION_EXACT", "search in datasource %1 for %2/%3/%4 found delegation at %5",
    "DATASRC_DATABASE_FOUND_DNAME", "Found DNAME at %2 in %1",
    "DATASRC_DATABASE_FOUND_EMPTY_NONTERMINAL", "empty non-terminal %2 in %1",
    "DATASRC_DATABASE_FOUND_NXDOMAIN", "search in datasource %1 resulted in NXDOMAIN for %2/%3/%4",
    "DATASRC_DATABASE_FOUND_NXRRSET", "search in datasource %1 for %2/%3/%4 resulted in NXRRSET",
    "DATASRC_DATABASE_FOUND_NXRRSET_NSEC", "search in datasource %1 for %2/%3/%4 resulted in RRset %5",
    "DATASRC_DATABASE_FOUND_RRSET", "search in datasource %1 resulted in RRset %2",
    "DATASRC_DATABASE_ITERATE", "iterating zone %1",
    "DATASRC_DATABASE_ITERATE_END", "iterating zone finished",
    "DATASRC_DATABASE_ITERATE_NEXT", "next RRset in zone is %1/%2",
    "DATASRC_DATABASE_ITERATE_TTL_MISMATCH", "TTL values differ for RRs of %1/%2/%3, setting to %4",
    "DATASRC_DATABASE_JOURNALREADER_BADDATA", "failed to convert a diff to RRset in %1/%2 on %3 between %4 and %5: %6",
    "DATASRC_DATABASE_JOURNALREADER_END", "%1/%2 on %3 from %4 to %5",
    "DATASRC_DATABASE_JOURNALREADER_NEXT", "%1/%2 in %3/%4 on %5",
    "DATASRC_DATABASE_JOURNALREADER_START", "%1/%2 on %3 from %4 to %5",
    "DATASRC_DATABASE_NO_MATCH", "not match for %2/%3/%4 in %1",
    "DATASRC_DATABASE_TRANSACTION_ROLLBACKFAIL", "failed to roll back transaction on %1: %2",
    "DATASRC_DATABASE_UPDATER_COMMIT", "updates committed for '%1/%2' on %3",
    "DATASRC_DATABASE_UPDATER_CREATED", "zone updater created for '%1/%2' on %3",
    "DATASRC_DATABASE_UPDATER_DESTROYED", "zone updater destroyed for '%1/%2' on %3",
    "DATASRC_DATABASE_UPDATER_ROLLBACK", "zone updates roll-backed for '%1/%2' on %3",
    "DATASRC_DATABASE_UPDATER_ROLLBACKFAIL", "failed to roll back zone updates for '%1/%2' on %3: %4",
    "DATASRC_DATABASE_WILDCARD_ANY", "search in datasource %1 resulted in wildcard match type ANY on %2",
    "DATASRC_DATABASE_WILDCARD_CANCEL_NS", "canceled wildcard match on %3 because %2 contains NS (data source %1)",
    "DATASRC_DATABASE_WILDCARD_CANCEL_SUB", "wildcard %2 can't be used to construct %3 because %4 exists in %1",
    "DATASRC_DATABASE_WILDCARD_CNAME", "search in datasource %1 for %2/%3/%4 found wildcard CNAME at %5, resulting in %6",
    "DATASRC_DATABASE_WILDCARD_EMPTY", "found subdomains of %2 which is a wildcard match for %3 in %1",
    "DATASRC_DATABASE_WILDCARD_MATCH", "search in datasource %1 resulted in wildcard match at %2 with RRset %3",
    "DATASRC_DATABASE_WILDCARD_NS", "search in datasource %1 for %2/%3/%4 found wildcard delegation at %5, resulting in %6",
    "DATASRC_DATABASE_WILDCARD_NXRRSET", "search in datasource %1 for %2/%3/%4 resulted in wildcard NXRRSET at %5",
    "DATASRC_DO_QUERY", "handling query for '%1/%2'",
    "DATASRC_LIST_NOT_CACHED", "zones in data source %1 for class %2 not cached, cache disabled globally. Will not be available.",
    "DATASRC_LOAD_ZONE_ERROR", "Error loading zone %1/%2 on data source %3: %4",
    "DATASRC_MASTER_LOAD_ERROR", "%1:%2: Zone '%3/%4' contains error: %5",
    "DATASRC_MASTER_LOAD_WARN", "%1:%2: Zone '%3/%4' has a potential problem: %5",
    "DATASRC_META_ADD", "adding a data source into meta data source",
    "DATASRC_META_ADD_CLASS_MISMATCH", "mismatch between classes '%1' and '%2'",
    "DATASRC_META_REMOVE", "removing data source from meta data source",
    "DATASRC_QUERY_ADD_NSEC", "adding NSEC record for '%1'",
    "DATASRC_QUERY_ADD_NSEC3", "adding NSEC3 record of zone '%1'",
    "DATASRC_QUERY_ADD_RRSET", "adding RRset '%1/%2' to message",
    "DATASRC_QUERY_ADD_SOA", "adding SOA of '%1'",
    "DATASRC_QUERY_AUTH_FAIL", "the underlying data source failed with %1",
    "DATASRC_QUERY_BAD_REFERRAL", "bad referral to '%1'",
    "DATASRC_QUERY_CACHED", "data for %1/%2 found in hotspot cache",
    "DATASRC_QUERY_CHECK_CACHE", "checking hotspot cache for '%1/%2'",
    "DATASRC_QUERY_COPY_AUTH", "copying authoritative section into message",
    "DATASRC_QUERY_DELEGATION", "looking for delegation on the path to '%1'",
    "DATASRC_QUERY_EMPTY_CNAME", "CNAME at '%1' is empty",
    "DATASRC_QUERY_EMPTY_DNAME", "the DNAME on '%1' is empty",
    "DATASRC_QUERY_FAIL", "query failed",
    "DATASRC_QUERY_FOLLOW_CNAME", "following CNAME at '%1'",
    "DATASRC_QUERY_GET_MX_ADDITIONAL", "addition of A/AAAA for '%1' requested by MX '%2'",
    "DATASRC_QUERY_GET_NS_ADDITIONAL", "addition of A/AAAA for '%1' requested by NS '%2'",
    "DATASRC_QUERY_GLUE_FAIL", "the underlying data source failed with %1",
    "DATASRC_QUERY_INVALID_OP", "invalid query operation requested",
    "DATASRC_QUERY_IS_AUTH", "auth query (%1/%2)",
    "DATASRC_QUERY_IS_GLUE", "glue query (%1/%2)",
    "DATASRC_QUERY_IS_NOGLUE", "query for non-glue addresses (%1/%2)",
    "DATASRC_QUERY_IS_REF", "query for referral (%1/%2)",
    "DATASRC_QUERY_IS_SIMPLE", "simple query (%1/%2)",
    "DATASRC_QUERY_MISPLACED_TASK", "task of this type should not be here",
    "DATASRC_QUERY_MISSING_NS", "missing NS records for '%1'",
    "DATASRC_QUERY_MISSING_SOA", "the zone '%1' has no SOA",
    "DATASRC_QUERY_NOGLUE_FAIL", "the underlying data source failed with %1",
    "DATASRC_QUERY_NO_CACHE_ANY_AUTH", "ignoring hotspot cache for ANY query (%1/%2 in %3 class)",
    "DATASRC_QUERY_NO_CACHE_ANY_SIMPLE", "ignoring hotspot cache for ANY query (%1/%2 in %3 class)",
    "DATASRC_QUERY_NO_DS_NSEC", "there's no DS record in the '%1' zone",
    "DATASRC_QUERY_NO_DS_NSEC3", "there's no DS record in the '%1' zone",
    "DATASRC_QUERY_NO_ZONE", "no zone containing '%1' in class '%2'",
    "DATASRC_QUERY_PROCESS", "processing query '%1/%2' in the '%3' class",
    "DATASRC_QUERY_PROVE_NX_FAIL", "unable to prove nonexistence of '%1'",
    "DATASRC_QUERY_REF_FAIL", "the underlying data source failed with %1",
    "DATASRC_QUERY_RRSIG", "unable to answer RRSIG query for %1",
    "DATASRC_QUERY_SIMPLE_FAIL", "the underlying data source failed with %1",
    "DATASRC_QUERY_SYNTH_CNAME", "synthesizing CNAME from DNAME on '%1'",
    "DATASRC_QUERY_TASK_FAIL", "task failed with %1",
    "DATASRC_QUERY_TOO_MANY_CNAMES", "CNAME chain limit exceeded at '%1'",
    "DATASRC_QUERY_UNKNOWN_RESULT", "unknown result of subtask",
    "DATASRC_QUERY_WILDCARD", "looking for a wildcard covering '%1'",
    "DATASRC_QUERY_WILDCARD_FAIL", "error processing wildcard for '%1'",
    "DATASRC_QUERY_WILDCARD_PROVE_NX_FAIL", "unable to prove nonexistence of '%1' (%2)",
    "DATASRC_QUERY_WILDCARD_REFERRAL", "unable to find referral info for '%1' (%2)",
    "DATASRC_STATIC_CLASS_NOT_CH", "static data source can handle CH class only",
    "DATASRC_STATIC_CREATE", "creating the static datasource",
    "DATASRC_STATIC_FIND", "looking for '%1/%2'",
    "DATASRC_UNEXPECTED_QUERY_STATE", "unexpected query state",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

