// File created from ../../../../src/lib/datasrc/memory/memory_messages.mes on Mon Nov 18 2013 12:19

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace datasrc {
namespace memory {

extern const isc::log::MessageID DATASRC_MEMORY_ANY_SUCCESS = "DATASRC_MEMORY_ANY_SUCCESS";
extern const isc::log::MessageID DATASRC_MEMORY_BAD_NSEC3_NAME = "DATASRC_MEMORY_BAD_NSEC3_NAME";
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_ERROR = "DATASRC_MEMORY_CHECK_ERROR";
extern const isc::log::MessageID DATASRC_MEMORY_CHECK_WARNING = "DATASRC_MEMORY_CHECK_WARNING";
extern const isc::log::MessageID DATASRC_MEMORY_CNAME = "DATASRC_MEMORY_CNAME";
extern const isc::log::MessageID DATASRC_MEMORY_DELEG_FOUND = "DATASRC_MEMORY_DELEG_FOUND";
extern const isc::log::MessageID DATASRC_MEMORY_DNAME_ENCOUNTERED = "DATASRC_MEMORY_DNAME_ENCOUNTERED";
extern const isc::log::MessageID DATASRC_MEMORY_DNAME_FOUND = "DATASRC_MEMORY_DNAME_FOUND";
extern const isc::log::MessageID DATASRC_MEMORY_DOMAIN_EMPTY = "DATASRC_MEMORY_DOMAIN_EMPTY";
extern const isc::log::MessageID DATASRC_MEMORY_EXACT_DELEGATION = "DATASRC_MEMORY_EXACT_DELEGATION";
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3 = "DATASRC_MEMORY_FINDNSEC3";
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3_COVER = "DATASRC_MEMORY_FINDNSEC3_COVER";
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3_MATCH = "DATASRC_MEMORY_FINDNSEC3_MATCH";
extern const isc::log::MessageID DATASRC_MEMORY_FINDNSEC3_TRYHASH = "DATASRC_MEMORY_FINDNSEC3_TRYHASH";
extern const isc::log::MessageID DATASRC_MEMORY_FIND_TYPE_AT_ORIGIN = "DATASRC_MEMORY_FIND_TYPE_AT_ORIGIN";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_RRSET = "DATASRC_MEMORY_MEM_ADD_RRSET";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_WILDCARD = "DATASRC_MEMORY_MEM_ADD_WILDCARD";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_ADD_ZONE = "DATASRC_MEMORY_MEM_ADD_ZONE";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_COEXIST = "DATASRC_MEMORY_MEM_CNAME_COEXIST";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY = "DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DNAME_NS = "DATASRC_MEMORY_MEM_DNAME_NS";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_DUP_RRSET = "DATASRC_MEMORY_MEM_DUP_RRSET";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_FIND_ZONE = "DATASRC_MEMORY_MEM_FIND_ZONE";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_LOAD_FROM_DATASRC = "DATASRC_MEMORY_MEM_LOAD_FROM_DATASRC";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_LOAD_FROM_FILE = "DATASRC_MEMORY_MEM_LOAD_FROM_FILE";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_NO_NSEC3PARAM = "DATASRC_MEMORY_MEM_NO_NSEC3PARAM";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_OUT_OF_ZONE = "DATASRC_MEMORY_MEM_OUT_OF_ZONE";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_SINGLETON = "DATASRC_MEMORY_MEM_SINGLETON";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_DNAME = "DATASRC_MEMORY_MEM_WILDCARD_DNAME";
extern const isc::log::MessageID DATASRC_MEMORY_MEM_WILDCARD_NS = "DATASRC_MEMORY_MEM_WILDCARD_NS";
extern const isc::log::MessageID DATASRC_MEMORY_NOT_FOUND = "DATASRC_MEMORY_NOT_FOUND";
extern const isc::log::MessageID DATASRC_MEMORY_NS_ENCOUNTERED = "DATASRC_MEMORY_NS_ENCOUNTERED";
extern const isc::log::MessageID DATASRC_MEMORY_SUCCESS = "DATASRC_MEMORY_SUCCESS";
extern const isc::log::MessageID DATASRC_MEMORY_SUPER_STOP = "DATASRC_MEMORY_SUPER_STOP";
extern const isc::log::MessageID DATASRC_MEMORY_WILDCARD_CANCEL = "DATASRC_MEMORY_WILDCARD_CANCEL";

} // namespace memory
} // namespace datasrc
} // namespace isc

namespace {

const char* values[] = {
    "DATASRC_MEMORY_ANY_SUCCESS", "ANY query for '%1' successful",
    "DATASRC_MEMORY_BAD_NSEC3_NAME", "NSEC3 record has a bad owner name '%1'",
    "DATASRC_MEMORY_CHECK_ERROR", "post-load check of zone %1/%2 failed: %3",
    "DATASRC_MEMORY_CHECK_WARNING", "%1/%2: %3",
    "DATASRC_MEMORY_CNAME", "CNAME at the domain '%1'",
    "DATASRC_MEMORY_DELEG_FOUND", "delegation found at '%1'",
    "DATASRC_MEMORY_DNAME_ENCOUNTERED", "encountered a DNAME",
    "DATASRC_MEMORY_DNAME_FOUND", "DNAME found at '%1'",
    "DATASRC_MEMORY_DOMAIN_EMPTY", "requested domain '%1' is empty",
    "DATASRC_MEMORY_EXACT_DELEGATION", "delegation at the exact domain '%1'",
    "DATASRC_MEMORY_FINDNSEC3", "finding NSEC3 for %1, mode %2",
    "DATASRC_MEMORY_FINDNSEC3_COVER", "found a covering NSEC3 for %1: %2",
    "DATASRC_MEMORY_FINDNSEC3_MATCH", "found a matching NSEC3 for %1 at label count %2: %3",
    "DATASRC_MEMORY_FINDNSEC3_TRYHASH", "looking for NSEC3 for %1 at label count %2 (hash %3)",
    "DATASRC_MEMORY_FIND_TYPE_AT_ORIGIN", "origin query for type %1 in in-memory zone %2/%3 successful",
    "DATASRC_MEMORY_MEM_ADD_RRSET", "adding RRset '%1/%2' into zone '%3'",
    "DATASRC_MEMORY_MEM_ADD_WILDCARD", "adding wildcards for '%1'",
    "DATASRC_MEMORY_MEM_ADD_ZONE", "adding zone '%1/%2'",
    "DATASRC_MEMORY_MEM_CNAME_COEXIST", "can't add data to CNAME in domain '%1'",
    "DATASRC_MEMORY_MEM_CNAME_TO_NONEMPTY", "can't add CNAME to domain with other data in '%1'",
    "DATASRC_MEMORY_MEM_DNAME_NS", "DNAME and NS can't coexist in non-apex domain '%1'",
    "DATASRC_MEMORY_MEM_DUP_RRSET", "duplicate RRset '%1/%2'",
    "DATASRC_MEMORY_MEM_FIND_ZONE", "looking for zone '%1'",
    "DATASRC_MEMORY_MEM_LOAD_FROM_DATASRC", "loading zone '%1/%2' from other data source",
    "DATASRC_MEMORY_MEM_LOAD_FROM_FILE", "loading zone '%1/%2' from file '%3'",
    "DATASRC_MEMORY_MEM_NO_NSEC3PARAM", "NSEC3PARAM is missing for NSEC3-signed zone %1/%2",
    "DATASRC_MEMORY_MEM_OUT_OF_ZONE", "domain '%1' doesn't belong to zone '%2'",
    "DATASRC_MEMORY_MEM_SINGLETON", "trying to add multiple RRs for domain '%1' and type '%2'",
    "DATASRC_MEMORY_MEM_WILDCARD_DNAME", "DNAME record in wildcard domain '%1'",
    "DATASRC_MEMORY_MEM_WILDCARD_NS", "NS record in wildcard domain '%1'",
    "DATASRC_MEMORY_NOT_FOUND", "requested domain '%1' not found",
    "DATASRC_MEMORY_NS_ENCOUNTERED", "encountered a NS",
    "DATASRC_MEMORY_SUCCESS", "query for '%1/%2' successful",
    "DATASRC_MEMORY_SUPER_STOP", "stopped as '%1' is superdomain of a zone node, meaning it's empty",
    "DATASRC_MEMORY_WILDCARD_CANCEL", "wildcard match canceled for '%1'",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

