// File created from ../../../src/lib/datasrc/sqlite3_datasrc_messages.mes on Mon Nov 18 2013 12:18

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace datasrc {

extern const isc::log::MessageID DATASRC_SQLITE_CLOSE = "DATASRC_SQLITE_CLOSE";
extern const isc::log::MessageID DATASRC_SQLITE_COMPATIBLE_VERSION = "DATASRC_SQLITE_COMPATIBLE_VERSION";
extern const isc::log::MessageID DATASRC_SQLITE_CONNCLOSE = "DATASRC_SQLITE_CONNCLOSE";
extern const isc::log::MessageID DATASRC_SQLITE_CONNOPEN = "DATASRC_SQLITE_CONNOPEN";
extern const isc::log::MessageID DATASRC_SQLITE_CREATE = "DATASRC_SQLITE_CREATE";
extern const isc::log::MessageID DATASRC_SQLITE_DESTROY = "DATASRC_SQLITE_DESTROY";
extern const isc::log::MessageID DATASRC_SQLITE_DROPCONN = "DATASRC_SQLITE_DROPCONN";
extern const isc::log::MessageID DATASRC_SQLITE_ENCLOSURE = "DATASRC_SQLITE_ENCLOSURE";
extern const isc::log::MessageID DATASRC_SQLITE_ENCLOSURE_NOT_FOUND = "DATASRC_SQLITE_ENCLOSURE_NOT_FOUND";
extern const isc::log::MessageID DATASRC_SQLITE_FIND = "DATASRC_SQLITE_FIND";
extern const isc::log::MessageID DATASRC_SQLITE_FINDADDRS = "DATASRC_SQLITE_FINDADDRS";
extern const isc::log::MessageID DATASRC_SQLITE_FINDADDRS_BAD_CLASS = "DATASRC_SQLITE_FINDADDRS_BAD_CLASS";
extern const isc::log::MessageID DATASRC_SQLITE_FINDEXACT = "DATASRC_SQLITE_FINDEXACT";
extern const isc::log::MessageID DATASRC_SQLITE_FINDEXACT_BAD_CLASS = "DATASRC_SQLITE_FINDEXACT_BAD_CLASS";
extern const isc::log::MessageID DATASRC_SQLITE_FINDREC = "DATASRC_SQLITE_FINDREC";
extern const isc::log::MessageID DATASRC_SQLITE_FINDREF = "DATASRC_SQLITE_FINDREF";
extern const isc::log::MessageID DATASRC_SQLITE_FINDREF_BAD_CLASS = "DATASRC_SQLITE_FINDREF_BAD_CLASS";
extern const isc::log::MessageID DATASRC_SQLITE_FIND_BAD_CLASS = "DATASRC_SQLITE_FIND_BAD_CLASS";
extern const isc::log::MessageID DATASRC_SQLITE_FIND_NSEC3 = "DATASRC_SQLITE_FIND_NSEC3";
extern const isc::log::MessageID DATASRC_SQLITE_FIND_NSEC3_NO_ZONE = "DATASRC_SQLITE_FIND_NSEC3_NO_ZONE";
extern const isc::log::MessageID DATASRC_SQLITE_INCOMPATIBLE_VERSION = "DATASRC_SQLITE_INCOMPATIBLE_VERSION";
extern const isc::log::MessageID DATASRC_SQLITE_NEWCONN = "DATASRC_SQLITE_NEWCONN";
extern const isc::log::MessageID DATASRC_SQLITE_OPEN = "DATASRC_SQLITE_OPEN";
extern const isc::log::MessageID DATASRC_SQLITE_PREVIOUS = "DATASRC_SQLITE_PREVIOUS";
extern const isc::log::MessageID DATASRC_SQLITE_PREVIOUS_NO_ZONE = "DATASRC_SQLITE_PREVIOUS_NO_ZONE";
extern const isc::log::MessageID DATASRC_SQLITE_SETUP = "DATASRC_SQLITE_SETUP";
extern const isc::log::MessageID DATASRC_SQLITE_SETUP_OLD_API = "DATASRC_SQLITE_SETUP_OLD_API";

} // namespace datasrc
} // namespace isc

namespace {

const char* values[] = {
    "DATASRC_SQLITE_CLOSE", "closing SQLite database",
    "DATASRC_SQLITE_COMPATIBLE_VERSION", "database schema V%1.%2 not up to date (expecting V%3.%4) but is compatible",
    "DATASRC_SQLITE_CONNCLOSE", "Closing sqlite database",
    "DATASRC_SQLITE_CONNOPEN", "Opening sqlite database file '%1'",
    "DATASRC_SQLITE_CREATE", "SQLite data source created",
    "DATASRC_SQLITE_DESTROY", "SQLite data source destroyed",
    "DATASRC_SQLITE_DROPCONN", "SQLite3Database is being deinitialized",
    "DATASRC_SQLITE_ENCLOSURE", "looking for zone containing '%1'",
    "DATASRC_SQLITE_ENCLOSURE_NOT_FOUND", "no zone contains '%1'",
    "DATASRC_SQLITE_FIND", "looking for RRset '%1/%2'",
    "DATASRC_SQLITE_FINDADDRS", "looking for A/AAAA addresses for '%1'",
    "DATASRC_SQLITE_FINDADDRS_BAD_CLASS", "class mismatch looking for addresses ('%1' and '%2')",
    "DATASRC_SQLITE_FINDEXACT", "looking for exact RRset '%1/%2'",
    "DATASRC_SQLITE_FINDEXACT_BAD_CLASS", "class mismatch looking for an RRset ('%1' and '%2')",
    "DATASRC_SQLITE_FINDREC", "looking for record '%1/%2'",
    "DATASRC_SQLITE_FINDREF", "looking for referral at '%1'",
    "DATASRC_SQLITE_FINDREF_BAD_CLASS", "class mismatch looking for referral ('%1' and '%2')",
    "DATASRC_SQLITE_FIND_BAD_CLASS", "class mismatch looking for an RRset ('%1' and '%2')",
    "DATASRC_SQLITE_FIND_NSEC3", "looking for NSEC3 in zone '%1' for hash '%2'",
    "DATASRC_SQLITE_FIND_NSEC3_NO_ZONE", "no such zone '%1'",
    "DATASRC_SQLITE_INCOMPATIBLE_VERSION", "database schema V%1.%2 incompatible with version (V%3.%4) expected",
    "DATASRC_SQLITE_NEWCONN", "SQLite3Database is being initialized",
    "DATASRC_SQLITE_OPEN", "opening SQLite database '%1'",
    "DATASRC_SQLITE_PREVIOUS", "looking for name previous to '%1'",
    "DATASRC_SQLITE_PREVIOUS_NO_ZONE", "no zone containing '%1'",
    "DATASRC_SQLITE_SETUP", "setting up new SQLite3 database in '%1'",
    "DATASRC_SQLITE_SETUP_OLD_API", "setting up new SQLite database",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

