// File created from ../../../src/lib/server_common/server_common_messages.mes on Mon Nov 18 2013 12:19

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace server_common {

extern const isc::log::MessageID SOCKETREQUESTOR_CREATED = "SOCKETREQUESTOR_CREATED";
extern const isc::log::MessageID SOCKETREQUESTOR_DESTROYED = "SOCKETREQUESTOR_DESTROYED";
extern const isc::log::MessageID SOCKETREQUESTOR_GETSOCKET = "SOCKETREQUESTOR_GETSOCKET";
extern const isc::log::MessageID SOCKETREQUESTOR_RELEASESOCKET = "SOCKETREQUESTOR_RELEASESOCKET";
extern const isc::log::MessageID SRVCOMM_ADDRESSES_NOT_LIST = "SRVCOMM_ADDRESSES_NOT_LIST";
extern const isc::log::MessageID SRVCOMM_ADDRESS_FAIL = "SRVCOMM_ADDRESS_FAIL";
extern const isc::log::MessageID SRVCOMM_ADDRESS_MISSING = "SRVCOMM_ADDRESS_MISSING";
extern const isc::log::MessageID SRVCOMM_ADDRESS_TYPE = "SRVCOMM_ADDRESS_TYPE";
extern const isc::log::MessageID SRVCOMM_ADDRESS_UNRECOVERABLE = "SRVCOMM_ADDRESS_UNRECOVERABLE";
extern const isc::log::MessageID SRVCOMM_ADDRESS_VALUE = "SRVCOMM_ADDRESS_VALUE";
extern const isc::log::MessageID SRVCOMM_EXCEPTION_ALLOC = "SRVCOMM_EXCEPTION_ALLOC";
extern const isc::log::MessageID SRVCOMM_KEYS_DEINIT = "SRVCOMM_KEYS_DEINIT";
extern const isc::log::MessageID SRVCOMM_KEYS_INIT = "SRVCOMM_KEYS_INIT";
extern const isc::log::MessageID SRVCOMM_KEYS_UPDATE = "SRVCOMM_KEYS_UPDATE";
extern const isc::log::MessageID SRVCOMM_PORT_RANGE = "SRVCOMM_PORT_RANGE";
extern const isc::log::MessageID SRVCOMM_SET_LISTEN = "SRVCOMM_SET_LISTEN";
extern const isc::log::MessageID SRVCOMM_UNKNOWN_EXCEPTION_ALLOC = "SRVCOMM_UNKNOWN_EXCEPTION_ALLOC";

} // namespace server_common
} // namespace isc

namespace {

const char* values[] = {
    "SOCKETREQUESTOR_CREATED", "Socket requestor created for application %1",
    "SOCKETREQUESTOR_DESTROYED", "Socket requestor destroyed",
    "SOCKETREQUESTOR_GETSOCKET", "Received a %1 socket for [%2]:%3, FD=%4, token=%5, path=%6",
    "SOCKETREQUESTOR_RELEASESOCKET", "Released a socket of token %1",
    "SRVCOMM_ADDRESSES_NOT_LIST", "the address and port specification is not a list in %1",
    "SRVCOMM_ADDRESS_FAIL", "failed to listen on addresses (%1)",
    "SRVCOMM_ADDRESS_MISSING", "address specification is missing \"address\" or \"port\" element in %1",
    "SRVCOMM_ADDRESS_TYPE", "address specification type is invalid in %1",
    "SRVCOMM_ADDRESS_UNRECOVERABLE", "failed to recover original addresses also (%1)",
    "SRVCOMM_ADDRESS_VALUE", "address to set: %1:%2",
    "SRVCOMM_EXCEPTION_ALLOC", "exception when allocating a socket: %1",
    "SRVCOMM_KEYS_DEINIT", "deinitializing TSIG keyring",
    "SRVCOMM_KEYS_INIT", "initializing TSIG keyring",
    "SRVCOMM_KEYS_UPDATE", "updating TSIG keyring",
    "SRVCOMM_PORT_RANGE", "port out of valid range (%1 in %2)",
    "SRVCOMM_SET_LISTEN", "setting addresses to listen to",
    "SRVCOMM_UNKNOWN_EXCEPTION_ALLOC", "unknown exception when allocating a socket",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

